import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../../../../common";
export interface SponsoredCCTPDstPeripheryInterface extends utils.Interface {
    functions: {
        "AUTHORIZED_FUNDED_FLOW_SLOT()": FunctionFragment;
        "DEFAULT_ADMIN_ROLE()": FunctionFragment;
        "FUNDS_SWEEPER_ROLE()": FunctionFragment;
        "PERMISSIONED_BOT_ROLE()": FunctionFragment;
        "baseToken()": FunctionFragment;
        "cctpMessageTransmitter()": FunctionFragment;
        "emergencyReceiveMessage(bytes,bytes)": FunctionFragment;
        "getRoleAdmin(bytes32)": FunctionFragment;
        "grantRole(bytes32,address)": FunctionFragment;
        "hasRole(bytes32,address)": FunctionFragment;
        "hyperCoreModule()": FunctionFragment;
        "multicallHandler()": FunctionFragment;
        "quoteDeadlineBuffer()": FunctionFragment;
        "receiveMessage(bytes,bytes,bytes)": FunctionFragment;
        "renounceRole(bytes32,address)": FunctionFragment;
        "revokeRole(bytes32,address)": FunctionFragment;
        "setQuoteDeadlineBuffer(uint256)": FunctionFragment;
        "setSigner(address)": FunctionFragment;
        "signer()": FunctionFragment;
        "supportsInterface(bytes4)": FunctionFragment;
        "usedNonces(bytes32)": FunctionFragment;
        "validateMessage(bytes)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "AUTHORIZED_FUNDED_FLOW_SLOT" | "DEFAULT_ADMIN_ROLE" | "FUNDS_SWEEPER_ROLE" | "PERMISSIONED_BOT_ROLE" | "baseToken" | "cctpMessageTransmitter" | "emergencyReceiveMessage" | "getRoleAdmin" | "grantRole" | "hasRole" | "hyperCoreModule" | "multicallHandler" | "quoteDeadlineBuffer" | "receiveMessage" | "renounceRole" | "revokeRole" | "setQuoteDeadlineBuffer" | "setSigner" | "signer" | "supportsInterface" | "usedNonces" | "validateMessage"): FunctionFragment;
    encodeFunctionData(functionFragment: "AUTHORIZED_FUNDED_FLOW_SLOT", values?: undefined): string;
    encodeFunctionData(functionFragment: "DEFAULT_ADMIN_ROLE", values?: undefined): string;
    encodeFunctionData(functionFragment: "FUNDS_SWEEPER_ROLE", values?: undefined): string;
    encodeFunctionData(functionFragment: "PERMISSIONED_BOT_ROLE", values?: undefined): string;
    encodeFunctionData(functionFragment: "baseToken", values?: undefined): string;
    encodeFunctionData(functionFragment: "cctpMessageTransmitter", values?: undefined): string;
    encodeFunctionData(functionFragment: "emergencyReceiveMessage", values: [BytesLike, BytesLike]): string;
    encodeFunctionData(functionFragment: "getRoleAdmin", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "grantRole", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "hasRole", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "hyperCoreModule", values?: undefined): string;
    encodeFunctionData(functionFragment: "multicallHandler", values?: undefined): string;
    encodeFunctionData(functionFragment: "quoteDeadlineBuffer", values?: undefined): string;
    encodeFunctionData(functionFragment: "receiveMessage", values: [BytesLike, BytesLike, BytesLike]): string;
    encodeFunctionData(functionFragment: "renounceRole", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "revokeRole", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "setQuoteDeadlineBuffer", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "setSigner", values: [string]): string;
    encodeFunctionData(functionFragment: "signer", values?: undefined): string;
    encodeFunctionData(functionFragment: "supportsInterface", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "usedNonces", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "validateMessage", values: [BytesLike]): string;
    decodeFunctionResult(functionFragment: "AUTHORIZED_FUNDED_FLOW_SLOT", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "DEFAULT_ADMIN_ROLE", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "FUNDS_SWEEPER_ROLE", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "PERMISSIONED_BOT_ROLE", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "baseToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "cctpMessageTransmitter", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "emergencyReceiveMessage", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getRoleAdmin", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "grantRole", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hasRole", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hyperCoreModule", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "multicallHandler", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "quoteDeadlineBuffer", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "receiveMessage", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "renounceRole", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "revokeRole", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setQuoteDeadlineBuffer", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setSigner", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "signer", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "supportsInterface", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "usedNonces", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "validateMessage", data: BytesLike): Result;
    events: {
        "ArbitraryActionsExecuted(bytes32,address,uint256,address,uint256)": EventFragment;
        "EmergencyReceiveMessage(bytes32,address,address,uint256)": EventFragment;
        "Initialized(uint64)": EventFragment;
        "RoleAdminChanged(bytes32,bytes32,bytes32)": EventFragment;
        "RoleGranted(bytes32,address,address)": EventFragment;
        "RoleRevoked(bytes32,address,address)": EventFragment;
        "SponsoredDepositForBurn(bytes32,address,bytes32,uint256,uint256,uint256,bytes32,bytes)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "ArbitraryActionsExecuted"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "EmergencyReceiveMessage"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Initialized"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "RoleAdminChanged"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "RoleGranted"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "RoleRevoked"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "SponsoredDepositForBurn"): EventFragment;
}
export interface ArbitraryActionsExecutedEventObject {
    quoteNonce: string;
    initialToken: string;
    initialAmount: BigNumber;
    finalToken: string;
    finalAmount: BigNumber;
}
export type ArbitraryActionsExecutedEvent = TypedEvent<[
    string,
    string,
    BigNumber,
    string,
    BigNumber
], ArbitraryActionsExecutedEventObject>;
export type ArbitraryActionsExecutedEventFilter = TypedEventFilter<ArbitraryActionsExecutedEvent>;
export interface EmergencyReceiveMessageEventObject {
    nonce: string;
    finalRecipent: string;
    finalToken: string;
    amount: BigNumber;
}
export type EmergencyReceiveMessageEvent = TypedEvent<[
    string,
    string,
    string,
    BigNumber
], EmergencyReceiveMessageEventObject>;
export type EmergencyReceiveMessageEventFilter = TypedEventFilter<EmergencyReceiveMessageEvent>;
export interface InitializedEventObject {
    version: BigNumber;
}
export type InitializedEvent = TypedEvent<[BigNumber], InitializedEventObject>;
export type InitializedEventFilter = TypedEventFilter<InitializedEvent>;
export interface RoleAdminChangedEventObject {
    role: string;
    previousAdminRole: string;
    newAdminRole: string;
}
export type RoleAdminChangedEvent = TypedEvent<[
    string,
    string,
    string
], RoleAdminChangedEventObject>;
export type RoleAdminChangedEventFilter = TypedEventFilter<RoleAdminChangedEvent>;
export interface RoleGrantedEventObject {
    role: string;
    account: string;
    sender: string;
}
export type RoleGrantedEvent = TypedEvent<[
    string,
    string,
    string
], RoleGrantedEventObject>;
export type RoleGrantedEventFilter = TypedEventFilter<RoleGrantedEvent>;
export interface RoleRevokedEventObject {
    role: string;
    account: string;
    sender: string;
}
export type RoleRevokedEvent = TypedEvent<[
    string,
    string,
    string
], RoleRevokedEventObject>;
export type RoleRevokedEventFilter = TypedEventFilter<RoleRevokedEvent>;
export interface SponsoredDepositForBurnEventObject {
    quoteNonce: string;
    originSender: string;
    finalRecipient: string;
    quoteDeadline: BigNumber;
    maxBpsToSponsor: BigNumber;
    maxUserSlippageBps: BigNumber;
    finalToken: string;
    signature: string;
}
export type SponsoredDepositForBurnEvent = TypedEvent<[
    string,
    string,
    string,
    BigNumber,
    BigNumber,
    BigNumber,
    string,
    string
], SponsoredDepositForBurnEventObject>;
export type SponsoredDepositForBurnEventFilter = TypedEventFilter<SponsoredDepositForBurnEvent>;
export interface SponsoredCCTPDstPeriphery extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: SponsoredCCTPDstPeripheryInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        AUTHORIZED_FUNDED_FLOW_SLOT(overrides?: CallOverrides): Promise<[string]>;
        DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<[string]>;
        FUNDS_SWEEPER_ROLE(overrides?: CallOverrides): Promise<[string]>;
        PERMISSIONED_BOT_ROLE(overrides?: CallOverrides): Promise<[string]>;
        baseToken(overrides?: CallOverrides): Promise<[string]>;
        cctpMessageTransmitter(overrides?: CallOverrides): Promise<[string]>;
        emergencyReceiveMessage(message: BytesLike, attestation: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<[string]>;
        grantRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<[boolean]>;
        hyperCoreModule(overrides?: CallOverrides): Promise<[string]>;
        multicallHandler(overrides?: CallOverrides): Promise<[string]>;
        quoteDeadlineBuffer(overrides?: CallOverrides): Promise<[BigNumber]>;
        receiveMessage(message: BytesLike, attestation: BytesLike, signature: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        renounceRole(role: BytesLike, callerConfirmation: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        revokeRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        setQuoteDeadlineBuffer(_quoteDeadlineBuffer: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        setSigner(_signer: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        signer(overrides?: CallOverrides): Promise<[string]>;
        supportsInterface(interfaceId: BytesLike, overrides?: CallOverrides): Promise<[boolean]>;
        usedNonces(nonce: BytesLike, overrides?: CallOverrides): Promise<[boolean]>;
        validateMessage(message: BytesLike, overrides?: CallOverrides): Promise<[boolean]>;
    };
    AUTHORIZED_FUNDED_FLOW_SLOT(overrides?: CallOverrides): Promise<string>;
    DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<string>;
    FUNDS_SWEEPER_ROLE(overrides?: CallOverrides): Promise<string>;
    PERMISSIONED_BOT_ROLE(overrides?: CallOverrides): Promise<string>;
    baseToken(overrides?: CallOverrides): Promise<string>;
    cctpMessageTransmitter(overrides?: CallOverrides): Promise<string>;
    emergencyReceiveMessage(message: BytesLike, attestation: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<string>;
    grantRole(role: BytesLike, account: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<boolean>;
    hyperCoreModule(overrides?: CallOverrides): Promise<string>;
    multicallHandler(overrides?: CallOverrides): Promise<string>;
    quoteDeadlineBuffer(overrides?: CallOverrides): Promise<BigNumber>;
    receiveMessage(message: BytesLike, attestation: BytesLike, signature: BytesLike, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    renounceRole(role: BytesLike, callerConfirmation: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    revokeRole(role: BytesLike, account: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    setQuoteDeadlineBuffer(_quoteDeadlineBuffer: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    setSigner(_signer: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    supportsInterface(interfaceId: BytesLike, overrides?: CallOverrides): Promise<boolean>;
    usedNonces(nonce: BytesLike, overrides?: CallOverrides): Promise<boolean>;
    validateMessage(message: BytesLike, overrides?: CallOverrides): Promise<boolean>;
    callStatic: {
        AUTHORIZED_FUNDED_FLOW_SLOT(overrides?: CallOverrides): Promise<string>;
        DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<string>;
        FUNDS_SWEEPER_ROLE(overrides?: CallOverrides): Promise<string>;
        PERMISSIONED_BOT_ROLE(overrides?: CallOverrides): Promise<string>;
        baseToken(overrides?: CallOverrides): Promise<string>;
        cctpMessageTransmitter(overrides?: CallOverrides): Promise<string>;
        emergencyReceiveMessage(message: BytesLike, attestation: BytesLike, overrides?: CallOverrides): Promise<void>;
        getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<string>;
        grantRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<void>;
        hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<boolean>;
        hyperCoreModule(overrides?: CallOverrides): Promise<string>;
        multicallHandler(overrides?: CallOverrides): Promise<string>;
        quoteDeadlineBuffer(overrides?: CallOverrides): Promise<BigNumber>;
        receiveMessage(message: BytesLike, attestation: BytesLike, signature: BytesLike, overrides?: CallOverrides): Promise<void>;
        renounceRole(role: BytesLike, callerConfirmation: string, overrides?: CallOverrides): Promise<void>;
        revokeRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<void>;
        setQuoteDeadlineBuffer(_quoteDeadlineBuffer: BigNumberish, overrides?: CallOverrides): Promise<void>;
        setSigner(_signer: string, overrides?: CallOverrides): Promise<void>;
        signer(overrides?: CallOverrides): Promise<string>;
        supportsInterface(interfaceId: BytesLike, overrides?: CallOverrides): Promise<boolean>;
        usedNonces(nonce: BytesLike, overrides?: CallOverrides): Promise<boolean>;
        validateMessage(message: BytesLike, overrides?: CallOverrides): Promise<boolean>;
    };
    filters: {
        "ArbitraryActionsExecuted(bytes32,address,uint256,address,uint256)"(quoteNonce?: BytesLike | null, initialToken?: string | null, initialAmount?: null, finalToken?: string | null, finalAmount?: null): ArbitraryActionsExecutedEventFilter;
        ArbitraryActionsExecuted(quoteNonce?: BytesLike | null, initialToken?: string | null, initialAmount?: null, finalToken?: string | null, finalAmount?: null): ArbitraryActionsExecutedEventFilter;
        "EmergencyReceiveMessage(bytes32,address,address,uint256)"(nonce?: null, finalRecipent?: null, finalToken?: null, amount?: null): EmergencyReceiveMessageEventFilter;
        EmergencyReceiveMessage(nonce?: null, finalRecipent?: null, finalToken?: null, amount?: null): EmergencyReceiveMessageEventFilter;
        "Initialized(uint64)"(version?: null): InitializedEventFilter;
        Initialized(version?: null): InitializedEventFilter;
        "RoleAdminChanged(bytes32,bytes32,bytes32)"(role?: BytesLike | null, previousAdminRole?: BytesLike | null, newAdminRole?: BytesLike | null): RoleAdminChangedEventFilter;
        RoleAdminChanged(role?: BytesLike | null, previousAdminRole?: BytesLike | null, newAdminRole?: BytesLike | null): RoleAdminChangedEventFilter;
        "RoleGranted(bytes32,address,address)"(role?: BytesLike | null, account?: string | null, sender?: string | null): RoleGrantedEventFilter;
        RoleGranted(role?: BytesLike | null, account?: string | null, sender?: string | null): RoleGrantedEventFilter;
        "RoleRevoked(bytes32,address,address)"(role?: BytesLike | null, account?: string | null, sender?: string | null): RoleRevokedEventFilter;
        RoleRevoked(role?: BytesLike | null, account?: string | null, sender?: string | null): RoleRevokedEventFilter;
        "SponsoredDepositForBurn(bytes32,address,bytes32,uint256,uint256,uint256,bytes32,bytes)"(quoteNonce?: BytesLike | null, originSender?: string | null, finalRecipient?: BytesLike | null, quoteDeadline?: null, maxBpsToSponsor?: null, maxUserSlippageBps?: null, finalToken?: null, signature?: null): SponsoredDepositForBurnEventFilter;
        SponsoredDepositForBurn(quoteNonce?: BytesLike | null, originSender?: string | null, finalRecipient?: BytesLike | null, quoteDeadline?: null, maxBpsToSponsor?: null, maxUserSlippageBps?: null, finalToken?: null, signature?: null): SponsoredDepositForBurnEventFilter;
    };
    estimateGas: {
        AUTHORIZED_FUNDED_FLOW_SLOT(overrides?: CallOverrides): Promise<BigNumber>;
        DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<BigNumber>;
        FUNDS_SWEEPER_ROLE(overrides?: CallOverrides): Promise<BigNumber>;
        PERMISSIONED_BOT_ROLE(overrides?: CallOverrides): Promise<BigNumber>;
        baseToken(overrides?: CallOverrides): Promise<BigNumber>;
        cctpMessageTransmitter(overrides?: CallOverrides): Promise<BigNumber>;
        emergencyReceiveMessage(message: BytesLike, attestation: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        grantRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<BigNumber>;
        hyperCoreModule(overrides?: CallOverrides): Promise<BigNumber>;
        multicallHandler(overrides?: CallOverrides): Promise<BigNumber>;
        quoteDeadlineBuffer(overrides?: CallOverrides): Promise<BigNumber>;
        receiveMessage(message: BytesLike, attestation: BytesLike, signature: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        renounceRole(role: BytesLike, callerConfirmation: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        revokeRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        setQuoteDeadlineBuffer(_quoteDeadlineBuffer: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        setSigner(_signer: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        signer(overrides?: CallOverrides): Promise<BigNumber>;
        supportsInterface(interfaceId: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        usedNonces(nonce: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        validateMessage(message: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        AUTHORIZED_FUNDED_FLOW_SLOT(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        FUNDS_SWEEPER_ROLE(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        PERMISSIONED_BOT_ROLE(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        baseToken(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        cctpMessageTransmitter(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        emergencyReceiveMessage(message: BytesLike, attestation: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        grantRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        hyperCoreModule(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        multicallHandler(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        quoteDeadlineBuffer(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        receiveMessage(message: BytesLike, attestation: BytesLike, signature: BytesLike, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        renounceRole(role: BytesLike, callerConfirmation: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        revokeRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        setQuoteDeadlineBuffer(_quoteDeadlineBuffer: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        setSigner(_signer: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        signer(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        supportsInterface(interfaceId: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        usedNonces(nonce: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        validateMessage(message: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
